Bug 141109 - Evolution crashes when pasting
Evolution crashes when pasting
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 06:53 EST by Nigel Horne
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:31:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace (4.46 KB, text/plain)
2004-11-30 05:35 EST, Nigel Horne
no flags Details
Stack trace 2 (5.16 KB, text/plain)
2004-11-30 16:03 EST, Nigel Horne
no flags Details

  None (edit)
Description Nigel Horne 2004-11-29 06:53:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.3)
Gecko/20041020

Description of problem:
When attempting to paste from the clipboard into a new email being
typed in - evolution crashes.

Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Start kde
2. Start evolution
3. Start a new message
4. Start kterm
5. run ls and mark some text
6. In the new message window of evolution click the middle mouse button
    

Actual Results:  Evolution crashes

Expected Results:  Should paste test text

Additional info:

I am running evolution under KDE not Gaim
Comment 1 Nigel Horne 2004-11-29 08:19:56 EST
Further investigation shows that it doesn't happen with all clipboard
contents.

I am yet to find a pattern, maybe you need to do a code review to see
if that comes up with something.
Comment 2 Nigel Horne 2004-11-29 09:03:12 EST
It may be that it crashes if the pasted text includes HTML.
Comment 3 Dave Malcolm 2004-11-29 16:16:03 EST
Please can you attach a backtrace to this bug; for more information on
how to do this, see this link:
http://fedora.linux.duke.edu/wiki/index.cgi/StackTraces

(please install the evolution-debuginfo and the gtkhtml3-debuginfo
packages)
Comment 4 Nigel Horne 2004-11-30 05:35:14 EST
Created attachment 107612 [details]
Stack trace

As requested.
Comment 5 Dave Malcolm 2004-11-30 14:36:40 EST
Thanks.  Did you get as far as step 6 above before gdb stopped
evolution?  Please can you try doing this again, but type the
following into gdb before you type "run":
(gdb) handle SIG33 nostop

Comment 6 Nigel Horne 2004-11-30 16:03:52 EST
Created attachment 107649 [details]
Stack trace 2

I fired up as you said and double clicked on the link to bring up this page so
that I could reply. As I did that, evolution died again. I hope this trace
helps - notuce the intersting assertion failures against mime-type - though
those may be red herrings.
Comment 7 Bastien Nocera 2005-09-14 11:21:48 EDT
Same problem with SIGINT this time:
Program received signal SIGINT, Interrupt.

The stack trace still isn't usable.
Comment 9 John Thacker 2006-10-31 15:31:15 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.